Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BTreeDatabase..::.KeyRange Method (DatabaseEntry)
BTreeDatabase Class See Also Send Feedback

Return an estimate of the proportion of keys that are less than, equal to, and greater than the specified key.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public KeyRange KeyRange(
    	DatabaseEntry key
    )

Visual Basic (Declaration)
    Public Function KeyRange ( _
    	key As DatabaseEntry _
    ) As KeyRange

Visual C++
    public:
    KeyRange^ KeyRange(
    	DatabaseEntry^ key
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key to search for

#### Return Value

An estimate of the proportion of keys that are less than, equal to, and greater than the specified key.

# See Also

BTreeDatabase Class
KeyRange Overload
BerkeleyDB Namespace